# <img src="https://github.com/pip-services/pip-services/raw/master/design/Logo.png" alt="Pip.Services Logo" style="max-width:30%"> 
# Data persistence for Dart

This framework is a part of the [Pip.Services](https://github.com/pip-services/pip-services) project.
This package contains various design patterns for working with data and provides implementation of 
reusable data processing and persistence components:

- [MemoryPersistence]()
- [IdentifiableMemoryPersistence]()
- [FilePersistence]()
- [IdentifiableFilePersistence]()

Quick Links:

* [Downloads](https://github.com/pip-services3-dart/pip-services3-data-dart/blob/master/doc/Downloads.md)
* [API Reference](https://pub.dev/documentation/pip_services3_data/latest/pip_services3_data/pip_services3_data-library.html)
* [Building and Testing](https://github.com/pip-services3-dart/pip-services3-data-dart/blob/master/doc/Development.md)
* [Contributing](https://github.com/pip-services3-dart/pip-services3-data-dart/blob/master/doc/Development.md#contrib)
* [Examples](https://github.com/pip-services3-dart/pip-services3-data-dart/blob/master/example/README.md)

* Warning! For the library to work correctly, the stored type must have a default costructor without parameters, as well as methods for converting from/to JSON.


## Acknowledgements

The Dart version of Pip.Services is created and maintained by:
- **Sergey Seroukhov**
- **Levichev Dmitry**

The documentation is written by:
- **Levichev Dmitry**